cURL
curl --request GET \ --url https://v1.basketball.sportsapipro.com/competitors/recentForm \ --header 'x-api-key: <api-key>'
Get recent game results and form for a basketball team
curl -X GET "https://v1.basketball.sportsapipro.com/competitors/recentForm?competitor=2827&numOfGames=10" \ -H "x-api-key: YOUR_API_KEY"
Show Recent Form Object
Show Game Object
{ "recentForm": { "competitor": { "id": 2827, "name": "Los Angeles Lakers", "imageUrl": "..." }, "form": "WWLWW", "games": [ { "gameId": 123456, "date": "2026-01-25T20:00:00Z", "opponent": { "id": 2765, "name": "Boston Celtics", "imageUrl": "..." }, "score": 118, "opponentScore": 112, "isHome": true, "isWin": true, "competition": { "id": 132, "name": "NBA" } } ] } }
Your SportsAPI Pro API key
Team/Competitor ID
2827
Number of recent games to return
Recent form retrieved successfully
Was this page helpful?